#include "memsize.h"
:userdoc.
:title.Hjelp for Systemressurser
:body.

:h1 res=ID_MAIN.Introduksjon
:i1.Introduksjon
:artwork name='memsize.bmp' align=center.
:p.
Dette programmet viser detaljert informasjon om ditt systems
ressurser. Informasjonen blir oppdatert en gang i sekundet,
forutsatt at programmet fr CPU-tid. De viste informasjoner er&colon.
:p.
:hp2.Dato og klokkeslett:ehp2. - Systemets dato og klokkeslett, i
det standardformat som er definert for landet spesifisert i
COUNTRY-linjen i CONFIG.SYS.
:p.
:hp2.Driftstid:ehp2. - Den tid som er gtt siden systemet sist ble
startet.
:p.
:hp2.Fri fysisk hukommelse:ehp2. - Mengden av tilgjengelig
systemhukommelse i flge funksjonen :hp1.DosMemAvail:ehp1..
:note. Denne funksjonen er del av det gamle 16-bit systemet,
og rapporterer bare minne under 16Mb, og ble, like fr 
lanseringen av OS/2 2.0, endret til aldri  rapportere mindre enn
512Kb.
#ifdef USE_OS20MEMU
:note.Hvis programmet :hpt.OS20MEMU:ehpt.:hdref res=60001. og
dets driver er installert, vil dette tallet vre korrekt, dog vil
CPU-belastningen vre strre.
#endif
:p.
:hp2.Fri virtuell hukommelse:ehp2. - Mengden av fri virtuell
hukommelse i flge :hp1.DosQuerySysInfo:ehp1.-funksjonen.
Dette er det samme som den frie fysiske hukommelsen, pluss
mengden av ubenyttet plass i den eksisterende swapfil, pluss
ledig plass p platelageret som str til rdighet for swapfilen
(dvs. ledig plass minus reservert plass spesifisert i SWAPPATH-
linjen i CONFIG.SYS).
:p.
:hp2.Swap-fil strrelse:ehp2. - Den nvrende strrelsen av
systemets swapfil SWAPPER.DAT. Lokalisering av swapfilen
gjres ved  se p SWAPPATH-linjen i CONFIG.SYS.
:p.
:hp2.Tilgjengelig swap-plass:ehp2. - Mengden av fri plass p det
logiske platelageret hvor swapfilen er plassert, minus den
minimale frie plass p dette lager. Dette tall viser hvor mye
swapfilen ved behov kan vokse fr lageret er fullt.
:p.
:hp2.Ubrukt plass i swap-fil:ehp2. - Mengden av ledig plass innenfor
den nvrende swapfil. Nr denne verdi nr null, vil swapfilens
strrelse kes, normalt med 1 megabyte av gangen.
:p.
:hp2.Spool-fil strrelse:ehp2. - Mengden av platelagerplass opptatt
av spool-filer.
:p.
:hp2.CPU-belastning (%):ehp2. - En tilnrmet verdi for utnyttelse
av CPU'ens regnekraft. Verdien beregnes som et gjennomsnitt over
det siste sekund.
:note.Denne funksjonen fungerer ikke ordentlig nr Puls-applikasjonen
er aktiv.
:hpt.Hvorfor?:ehpt.:hdref res=60002.
:note.Hvis du har driveren :hpt.HRTIMER.SYS:ehpt.:hdref res=60000.
installert vil vist verdi vre mer nyaktig.
:hpt.Hvorfor?:ehpt.:hdref res=60003.
:p.
:hp2.Aktive jobber:ehp2. - Antallet av jobber vist i vindusoversikten.
Vindusoversikten fs frem ved  taste CTRL+ESC.
:note.Ikke alt som foregr vises i vindusoversikten, fordi noen
jobber er merket slik at de ikke skal bli vist.
:p.
:hp2.Antall prosesser:ehp2. - Antall prosesser aktive p systemet.
:p.
:hp2.Antall trder:ehp2. - Antall trder som er aktive p systemet.  
Det er minst en trd for hver prosess.
:p.
:hp2.Ledig lagerplass i alt:ehp2. - Mengden av ledig plass p alle
ikke-flyttbare platelagere tilsammen.
:p.
:hp2.Stasjon X: ledig plass:ehp2. - Mengden av ledig plass p
stasjon X.
:p.
Som du har sett finnes det et hjelpesystem for Systemressurser,
og de programkommandoer som eksisterer er tilgjengelige via
vinduets systemmeny. Flgende kommandoer er tilgjengelige&colon.
:sl compact.
:li.:hpt.Lagre innstillinger:ehpt.:hdref res=IDM_SAVE_APPLICATION.
:li.:hpt.Sett standardinnstillinger:ehpt.:hdref res=IDM_RESET_DEFAULTS.
:li.:hpt.Skjul kontroller:ehpt.:hdref res=IDM_HIDE_CONTROLS.
:li.:hpt.Konfigurer...:ehpt.:hdref res=IDM_CONFIGURE.
:li.:hpt.Nullstill CPU-monitor:ehpt.:hdref res=IDM_RESETLOAD.
:li.:hpt.Nullstill platelagre:ehpt.:hdref res=IDM_RESETDRIVES.
:li.:hpt.Kopier:ehpt.:hdref res=IDM_COPY.
:li.:hpt.Produktinformasjon:ehpt.:hdref res=IDM_ABOUT.
:li.:hpt.Avslutt:ehpt.:hdref res=IDM_EXIT.
:esl.:p.
Utover de nevnte egenskaper, aksepterer dette programmet innstillinger
fra OS/2 font- og fargepalettene, og det er en DDE-tjener som kan
levere tilstandsdata for alle ressurser som overvkes.
DDE-applikasjonens navn er MEMSIZE, og ressursnavnene er de samme
som standardnavnene p de ulike ressursene(slik som Fri fysisk
hukommelse).

:h1 res=IDM_SAVE_APPLICATION.Lagre innstillinger (Meny-valg)
:i1.Lagre innstillinger (Meny-valg)
Ved dette meny-valg lagres programvinduets nvrende posisjon og
tilstand. Neste gang programmet startes, vil det starte i den samme
posisjon og med tittellinjen skjult eller synlig, avhengig av status da
innstillingene ble lagret.
:p.
Snarveien til denne kommando er F2.

:h1 res=IDM_RESET_DEFAULTS.Sett standardinnstillinger (Meny-valg)
:i1.Sett standardinnstillinger (Meny-valg)
Ved dette meny-valg tilbakestilles programmets font og farge til 
standardverdiene.

:h1 res=IDM_HIDE_CONTROLS.Skjul kontroller (Meny-valg)
:i1.Skjul kontroller (Meny-valg)
Dette meny-valg medfrer at programmets vinduskontroll (system-menyen,
tittellinjen og minimaliseringsknappen) skjules.
Dette valg kan gjres - og omgjres - ved  dobbeltklikke p vinduet med 
pekefinger-knappen p musa. Programvinduet kan flyttes ved  trekke det
med samme knapp ogs nr tittellinjen er skjult.
:p.
Tastekombinasjonen Alt+H vil ogs utfre denne funksjonen.

:h1 res=IDM_CONFIGURE.Konfigurer (Meny-valg)
:i1.Konfigurer (Meny-valg)
Dette meny-valg frer til at programmets konfigurasjonsmeny vises.
For ytterligere informasjon se :hpt.Konfigurer (Dialog):ehpt.:hdref res=IDD_CONFIGURE..
:note.Tastkombinasjonen for dette valg er Alt+C.

:h2 res=IDD_CONFIGURE.Konfigurer (Dialog)
Denne dialogen gir deg mulighet til  forandre programmets virkemte.
For  forlate dialogen uten  gjre endringer m du trykke p
ESC-tasten eller klikke p Avbryt-knappen med musa. For  lagre
forandringer du har gjort m du trykke p ENTER-tasten, eller klikke
p OK-trykknappen med musa.
.br
De konfigurerbare elementene inkluderer flgende&colon.
:p.
:hp2.Ressursovervkning:ehp2.
Du kan velge enkelte eller alle elementene i listen ressursovervkning
ved  fremheve dem. Klikk p et punkt for  fremheve det, og klikk
igjen for at fjerne fremhevingen. For  forandre det viste
ressursnavnet kan du dobbeltklikke p en ressurs som ikke er
fremhevet. Ressursen vil bli valgt, og en dialog blir vist hvor du
kan endre navnet.
:p.
:hp2.Vis 'K'ilobyte:ehp2.
Denne gruppen av knapper gjr det mulig  velge hvorvidt store
strrelser skal vises i kilobyte notasjon; alltid, aldri, eller bare
nr deres verdier overstiger 512 Kb. Standardvalget er  vise
alle strrelser over 512 Kb p denne mten. (Husk at n kilobyte
i virkeligheten er 1024 byte, og ikke 1000.)
:p.
:hp2.Overvkningsprioritet:ehp2.
Denne kontroll gjr det mulig  sette den absolutte prioritet for
overvkningstrden, innenfor klassen av tidskritiske prioriteter.
Man kan sette prioriteten mellem 0 og 31. Prioritet 31 er den
hyest mulige prioritet i systemet, bortsett fra fysiske avbrytelser.
Prioritet 0 er den laveste prioritet i klassen av tidskritiske
prioriteter. Man br normalt sette verdien til maksimum (31) for
 f strre nyaktighet i mlingene av systemaktiviteten. Fordi
noen brukere har klaget over at deres kommunikasjonsprogrammer
noen ganger mister data s lenge dette programmet er aktivt, er
prioriteten n variabel.
:p.
:hp2.Tidsintervall:ehp2.
Denne kontrollen gjr det mulig  justere intervallet mellom
oppdateringer. Det kan varieres fra 1 sekund til 30 sekunder,
i skritt p 1/10 sekund. Den viste verdi er i tiendedels sekunder.
:p.
:hp2.Vindusanker:ehp2.
Denne kontroll gir deg mulighet til  bestemme et hjrne av skjermen
som festepunkt, nr vindusstrrelsen endres. Vindusstrrelsen endres
for eksempel nr menypunkter tilfyes eller fjernes fra aktivlisten,
og nr fonten forandres fra fontpaletten.
:p.
:hp2.Skjul kontroller:ehp2.
Nr programmet ikke er minimert, kan det vises med eller uten
tittellinje, systemmeny og minimaliseringsknapp. Du kan fortsatt
flytte vinduet hvis du velger  skjule kontrollene, ved  trekke
vinduet med pekefingerknappen p musa.
:p.
:hp2.Alltid synlig:ehp2.
Denne knappen aktiverer vinduets 'alltid synlig' funksjon. Nr denne
velges vil programvinduet alltid 'flyte opp' og bli liggende over
andre vinduer.
:p.
:hp2.Animer:ehp2.
Denne knappen aktiverer vinduets animasjonsegenskaper ved pning
og lukking. Nr disse er aktive vil programvinduet pne og lukke p
samme mte som folderobjekter gjr - med lyd og bevegelse.
Liksom med foldere, vil animering ikke forekomme med mindre det er
blitt valgt i system-oppsettet.
:p.
:hp2.Tabellformat:ehp2.
Nr denne knappen markeres vil vinduet bli arrangert i tabellformat, med viste  
ressurser ordnet i rekker og kolonner. Vinduet vil optimeres slik at det tar s lite  
plass som mulig vertikalt. Nr knappen ikke er markert vil vinduet vre arrangert  
som en enkelt kolonne.
:p.
:hp2.Vis platelagre p nettet:ehp2.
Nr denne knappen er markert vil platelagre som for yeblikket er koblet til  
systemet via et nettverk bli overvket p samme vis om lokale, faste disker. Unntak:  
Bare lokale, faste platelagre teller med nr verdien for total ledig lagerplass  
beregnes.
:p.
:hp2.Vis filsystem-type:ehp2.
Denne knappen bevirker at hvert enkelt 'Stasjon X&colon. ledig plass'-felt
viser hvilken type filsystem som platelageret er formatert med. Bruken
av denne funksjon gjr programvinduet noe bredere.
:p.
:hp2.Vis stasjonsnavn:ehp2.
Denne knappen bevirker at hvert enkelt 'ledig platelager plass'-felt
viser platelagerets navn (label). Bruken av denne funksjon medfrer
et bredere programvindu.
:p.
:hp2.Vis sekunder:ehp2.
Denne knappen medfrer at klokkeslett og driftstid vises med
sekundangivelse.
:p.
:hp2.Farger:ehp2.  
Dette omrdet viser de tre fargene assosiert med Normal-, Advarsel- og Feil-niv for de  
ressurser for hvilke disse nivene er definert. Du kan sette disse fargene ved   
trekke farger over fra en av systemets fargepaletter.  

:h3 res=IDD_LABEL.Sett ressurs-navn (Dialog)  
Denne dialogen viser nvrende og standerd betegnelse for en ressurs,  
sammen med nvrende advarsel- og feilniv, hvis slike er definert  
for vedkommende ressurs. For  forandre betegnelsen kan du ganske enkelt skrive 
inn en ny betegnelse over den gamle. For  forandre advarsel- og/eller feilnivene kan du enten 
skrive inn en ny verdi over den gamle, eller flytte skyveknappen som tilhrer vedkommende 
ressurs 
:p.For  stille alle verdier tilbake til standardverdiene, klikk p Standard knappen. 

:h1 res=IDM_RESETLOAD.Nullstill CPU-monitor (Meny-valg)
:i1.Nullstill CPU-monitor (Meny-valg)
Dette valg gir brukere mulighet til  nullstille belastningsmleren
for sentralprosessoren i systemet, og  rekalibrere den. Dette medfrer
at tidligere CPU-aktivitet ignoreres i beregningene.

:h1 res=IDM_RESETDRIVES.Nullstill platelagre (Menyvalg)
:i1.Nullstill platelagre (Menyvalg)
Dette menyvalget tillater brukeren  nullstille eventuelle feil som mtte oppst.   
Nullstilling vil skje automatisk etter en tid, men kommandoen tillater brukeren   
nullstille umiddelbart.

:h1 res=IDM_COPY.Kopier (Meny-valg)
:i1.Kopier (Meny-valg)
Dette menyvalget kopierer det nvrende vindusinnhold til systemets
utklippstavle i to formater&colon. Tekst og grafikk (bit-kart). Tekstversjonen
viser alle linjene i vinduet i en form som er passende for kopiering
inn i en tekstbehandler. Grafikkversjonen viser en eksakt kopi av
det nvrende vinduet, og kan bli brukt av grafikkredigerings- og
bildeframvisningsprogrammer.
:p.
Tastkombinasjonen for denne kommandoen er Ctrl+Ins.

:h1 res=IDM_ABOUT.Produktinformasjon (Meny-valg)
:i1.Produktinformasjon (Meny-valg)
Denne meny-valg frer til at programmets informasjonsdialog vises.
For mer informasjon se :hpt.Produktinformasjon (Dialog):ehpt.:hdref res=IDD_ABOUT..

:h2 res=IDD_ABOUT.Produktinformasjon (Dialog)
Denne dialogboks viser programmets navn, ikon og informasjon om opphavsrettigheter.
For  forlate dialogen, trykk p ENTER, ESC eller mellomromstasten, eller
klikk p OK-knappen med musa.

:h1 res=IDM_EXIT.Avslutt (Meny-valg)
:i1.Avslutt (Meny-valg)
Dette valg gjr at programmet avsluttes.

:h1 res=IDM_KEYS_HELP.Hjelp for taster
:i1.Hjelp for taster
De flgende funksjonstaster er defineret for dette program&colon.
:sl compact.
:li.F1 - Hjelp
:li.F2 - Lagre innstillinger
:li.F3 - Avslutt
:li.Alt+C - Konfigurer
:li.Alt+H - Skjul kontroller
:li.Ctrl+Ins - Kopier
:esl.:p.

:h1 res=IDD_PROFILE_PATH.Sett initialiseringsbane (Dialog)
:i1.Sett initialiseringsbane (Dialog)
Denne dialog vises nr programmet ikke kan finne sin initialiseringsfil
(INI), og spr hvor filen er plassert eller hvor den skal opprettes.
:p.
Kun en gyldig og eksisterende bane aksepteres.
Nr banen er inntastet: trykk p ENTER-tasten eller klikk p OK-knappen
for  f programmet til  fortsette.
:p.
Hvis du nsker  avbryte programmets initialiseringsrutine: trykk p
ESC-tasten eller klikk p Avbryt.

:h1 res=60000.HRTIMER - Hyopplsning klokkedriver
Hyopplsnings klokkedriveren, HRTIMER.SYS, gjr det mulig for et
program  bruke en klokke-brikke som finnes i IBM PCer, men som
vanligvis ikke benyttes. Driveren har en opplsning p hele 840
nanosekunder, 64K ganger bedre enn den normale klokkeopplsningen p
55 millisekunder.
:p.
De eneste steden jeg vet om som n har dette programmet tilgjengelig er
:hp4.CompuServe:ehp4., 
hvor programmet kan bli funnet i
:hp4.Device Driver Development:ehp4.
biblioteket i
:hp4.OS/2 Developer's Forum I (OS2DF1):ehp4., 
under navnet
:hp4.TIMER.ZIP:ehp4.,
og flgende tjenere for anonym ftp:
:hp4.ftp.cdrom.com:ehp4.  
:hp4.hobbes.nmsu.edu:ehp4..
Filen kan bli funnet i katalogen
:hp4./pub/os2/dev16:ehp4.,
som
:hp4.hrtimer.zip:ehp4..
:p.Programkoden for denne driveren ble hentet fra Hst 1991 utgaven
av IBM Personal Systems Developer Magazine.  Programmet er freeware,
men de originale opphavsrettighetene tilhrer IBM.

#ifdef USE_OS20MEMU
:h1 res=60001.OS20MEMU - OS/2 Minneutnyttelseskart
Programmet OS20MEMU, sammen med den tilhrende driveren,
skjermfiler og DLL-filer, gjr det mulig for brukeren  se en komplett
oversikt over hvordan programmer p ditt OS/2-system bruker
minne, og ogs hvordan systemet selv bruker minneressursene.
:p.De eneste stedene jeg vet om som har dette programmet tilgjengelig
er anonym-ftp tjenerne
:hp4.ftp.cdrom.com:ehp4. 
og
:hp4.hobbes.nmsu.edu:ehp4..
Filen kan bli funnet i katalogen
:hp4./pub/os2/textutil:ehp4., 
som
:hp4.20memu.zip:ehp4..
:p.OS20MEMU er freeware, skrevet av, og med opphavsretter tilhrende
IBM.
:note.Pass p at du bruker versjonen datert November 1994 (eller
senere), ettersom tidligere versjoner ikke fungerer sammen med Warp.
#endif

:h1 res=60002.Hva er problemet med PULSE?
Memsize, p samme mte som PULSE, CPULOAD, CPUMETER og andre
lignende programmer, prver  mle hvor opptatt datamaskinen er ved
 se hvor mye arbeid som kan utfres med den lavest mulige prioritet.
Hvis programmet kan utfre noe som helst ved denne minimale prioritet,
m det bruke ledig prosessortid. Hvis det ikke er noe tid tilgjengelig, m
datamaskinens prosessor vre 100% utnyttet. Jo mer programmet kan
gjre, jo mindre belastet antas prosessoren  vre.
:p.Problemet med  kjre flere slike programmer samtidig er at de
begynner  konkurrere om ledig prosessortid. Hvis du kjrer to kopier
av det samme programmet, og ikke noe annet, skulle begge vise omtrent
50% prosessorutnyttelse. Hvis du kjrer to ulike programmer, slik som
dette programmet og PULSE, vil begge bli pvirket, men vanligvis i ulik
grad.

:h1 res=60003.Hvorfor hjelper HRTIMER.SYS?
Med HRTIMER.SYS installert, blir system-overhead inkludert i CPU-
belastningen.
:p.
CPU-belastningen blir bestemt ved  sammenligne hvor mye programmet
fr gjort ved minimal prioritet, med hvor mye programmet har vrt i
stand til  f gjort opp til det nvrende tidspunkt. Uten mer
informasjon vil normal bakgrunnsaktivitet fremst som null
belastning. Dette problemet motvirkes av HRTIMER.SYS, som kjrer en
kalibreringsrutine ved oppstart. Programmet bestemmer hvor mye
som kan bli gjort ved hyest mulig prioritet, og den mlte verdi
brukes som referansepunkt for senere belastningsberegninger.

:euserdoc.
